Loading...
Searching...
No Matches
Gfx::VertexTex2 Struct Reference

Vertex with secondary texture coordinates. More...

`#include <src/graphics/core/vertex.h>`

## Public Member Functions

| VertexTex2 (Math::Vector aCoord=Math::Vector(), Math::Vector aNormal=Math::Vector(), Math::Point aTexCoord=Math::Point(), Math::Point aTexCoord2=Math::Point())
void | FromVertex (const Vertex &v)
| Sets the fields from Vertex with texCoord2 = (0,0).
std::string | ToString () const
| Returns a string "(c: [...], n: [...], tc: [...], tc2: [...])".

## Public Attributes

Math::Vector | coord
Math::Vector | normal
Math::Point | texCoord
Math::Point | texCoord2

## Static Public Attributes

static constexpr VertexType | VERTEX_TYPE = VERTEX_TYPE_TEX2

## Detailed Description

Vertex with secondary texture coordinates.

In addition to fields from Vector, it contains secondary texture coordinates (u2, v2) as Math::Point

## Member Function Documentation

## FromVertex()

void Gfx::VertexTex2::FromVertex | ( | const Vertex & | v | ) |

inline

Sets the fields from Vertex with texCoord2 = (0,0).

## ToString()

std::string Gfx::VertexTex2::ToString | ( |  | ) | const

inline

Returns a string "(c: [...], n: [...], tc: [...], tc2: [...])".

The documentation for this struct was generated from the following file:

- src/graphics/core/vertex.h